From bfe8cd1e343f35a108a3d83726e22821ffbd0e0a Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Fri, 5 Jan 2024 22:29:48 +0800
Subject: [PATCH] blisp_struct.h: use _Static_assert for pre-C23 compatibility

Closes: https://github.com/pine64/blisp/issues/61
---
 include/blisp_struct.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git include/blisp_struct.h include/blisp_struct.h
index 73694b9..c823a7f 100644
--- include/blisp_struct.h
+++ include/blisp_struct.h
@@ -154,7 +154,7 @@ struct bfl_boot_header {
   uint32_t crc32;
 };
 
-static_assert(sizeof(struct bfl_boot_header) == 176,
+_Static_assert(sizeof(struct bfl_boot_header) == 176,
               "Bootheader have wrong size");
 
 struct blflash_segment_header {
@@ -164,7 +164,7 @@ struct blflash_segment_header {
   uint32_t crc32;
 };
 
-static_assert(sizeof(struct blflash_segment_header) == 16,
+_Static_assert(sizeof(struct blflash_segment_header) == 16,
               "Segment header have wrong size");
 
 #pragma pack(pop)
